=== debian/changelog ===
ros-indigo-rospilot-deps (0.0.7-1trusty) trusty; urgency=high

  * Add Exynos MFC library
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 01 Mar 2015 08:00:00 -0000

ros-indigo-rospilot-deps (0.0.6-1trusty) trusty; urgency=high

  * Fix library and header exports
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 01 Feb 2015 08:00:00 -0000

ros-indigo-rospilot-deps (0.0.5-1trusty) trusty; urgency=high

  * Add missing files
  * Make gitignore less aggressive
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sat, 05 Jul 2014 07:00:00 -0000

ros-indigo-rospilot-deps (0.0.4-1trusty) trusty; urgency=high

  * Fix setup.py to export all pymavlink packages
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sat, 28 Jun 2014 07:00:00 -0000

ros-indigo-rospilot-deps (0.0.3-1trusty) trusty; urgency=high

  * Include source for pymavlink
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 15 Jun 2014 07:00:00 -0000

ros-indigo-rospilot-deps (0.0.2-1trusty) trusty; urgency=high

  * Use PkgConfig to find avcodec and swscale
  * Contributors: Christopher Berner, Scott K Logan

 -- Christopher Berner <christopherberner@gmail.com>  Tue, 10 Jun 2014 07:00:00 -0000

ros-indigo-rospilot-deps (0.0.1-1trusty) trusty; urgency=high

  * Allow changing camera device path while cam node is running
  * Improve error handling in raw_usb_cam_node
    Print an error message and retry, instead of exiting the process
  * Fix compiler error
  * Remove self_test dependency
  * Initial commit
  * Contributors: Christopher Berner

 -- Christopher Berner <christopherberner@gmail.com>  Sun, 01 Jun 2014 07:00:00 -0000
